package com.huatek.busi.service.impl.dataoutput.impls;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.common.collect.Lists;
import com.huatek.busi.common.CacMonitorTypeCode;
import com.huatek.busi.service.impl.dataoutput.helper.OptExecutor;
import com.huatek.busi.vo.dataoutput.OutputEquipmentVo;

/**
 * 油色谱
 * 
 * @author anker_cheng
 * @date 2019/10/14
 */
@Component
@OptExecutor(mainEquipmentType = "111", subEquipmentType = "011")
public class TransformerEpaDataExecutor extends AbstractDataOutputExecutor {
    @Override
    protected Map<String, Object> getParams(OutputEquipmentVo vo, LocalDate day) {
        Map<String, Object> params = super.getParams(vo, day);
        params.put("cacMonitorTypeCode", CacMonitorTypeCode.TRANSFORMER_OIL_GAS.getCode());
        return params;
    }

    @Override
    protected List<String> getKeys() {
        return Lists.newArrayList("sensorId", "sensorName", "timeStamp", "phase", "h2", "ch4", "c2h6", "c2h4", "c2h2",
            "co", "co2", "o2", "n2", "totalHydrocarbon", "gasPress", "h2o");
    }
}
